gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin A container that controls the alignment and size of its child.

An Alignment widget controls the alignment and size of its child widget. It has four settings: , , , and .

The scale settings are used to specify how much the child widget should expand to fill the space allocated to the Alignment. The values can range from 0 (meaning the child doesn't expand at all) to 1 (meaning the child expands to fill all of the available space).

The alignment settings are used to position the child widget within the available area. The values range from 0 (top or left) to 1 (bottom or right). If the scale settings are both set to 1, (making the child expand), the alignment settings have no effect.

To add a child to an Alignment, use the method from the class.

- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The horizontal alignment of the child widget, from 0 (left) to 1 (right).
  The vertical alignment of the child widget, from 0 (top) to 1 (bottom).
  The amount that the child widget expands horizontally to fill up unused space, from 0 to 1.
  The amount that the child widget expands vertically to fill up unused space, from 0 to 1.
  Creates a new Alignment with the specified alignment and spacing.
- Property
  2.12.0.0
  GLib.Property("bottom-padding")
  System.UInt32 The padding to insert at the bottom of the child widget. a
- Method
  2.12.0.0
  System.Void `` `` `` `` a a a a Gets the padding on the different sides of the widget. This is a convenience method. See also .
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("left-padding")
  System.UInt32 The padding to insert at the left of the child widget. a
- Property
  2.12.0.0
  GLib.Property("right-padding")
  System.UInt32 The padding to insert at the right of the child widget. a
- Method
  2.12.0.0
  System.Void `` `` `` `` The horizontal alignment of the child widget, from 0 (left) to 1 (right). The vertical alignment of the child widget, from 0 (top) to 1 (bottom). The amount that the child widget expands horizontally to fill up unused space, from 0 to 1. The amount that the child widget expands vertically to fill up unused space, from 0 to 1. Adjusts all the alignment and scale properties.

  For the scale parameters, a value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all of the space allocated for the Alignment.

- Method
  2.12.0.0
  System.Void `` `` `` `` a a a a Sets the padding on the different sides of the widget.

  The padding adds blank space to the vertical or horizontal sides of the widget. For instance, this can be used to indent the child widget towards the right by adding padding on the left.

  This is a convenience method; the properties can also be set directly.

- Property
  2.12.0.0
  GLib.Property("top-padding")
  System.UInt32 The padding to insert at the top of the child widget. a
- Property
  2.12.0.0
  GLib.Property("xalign")
  System.Single Manage the horizontal alignment of the child widget. The child widget's current horizontal alignment.

  This property is a value between 0 and 1, where 0 indicates no child expansion, and 1 indicates the child expands to fill the Alignment's allocated horizontal size.

- Property
  2.12.0.0
  GLib.Property("xscale")
  System.Single Manage the horizontal expansion of the child widget. The current horizontal expansion of the child widget.

  This property is a value between 0 and 1, where 0 indicates no child expansion, and 1 indicates the child expands to fill the Alignment's allocated horizontal size.

- Property
  2.12.0.0
  GLib.Property("yalign")
  System.Single Manage the vertical alignment of the child widget. The child widget's current vertical alignment.

  This property is a value between 0 and 1 where 0 indicates alignment at the top of the container, and 1 indicates alignment at the bottom of the container.

- Property
  2.12.0.0
  GLib.Property("yscale")
  System.Single Manage the vertical expansion of the child widget. The current vertical expansion of the child widget.

  This property is a value between 0 and 1, where 0 indicates no child expansion, and 1 indicates the child expands to fill the Alignment's allocated vertical size.